org.faceless.pdf2

## Class OutputProfile.FontInfo

- java.lang.Object
- - org.faceless.pdf2.OutputProfile.FontInfo

- All Implemented Interfaces:
    Comparable<OutputProfile.FontInfo>
  Enclosing class:
    OutputProfile

      public static final class OutputProfile.FontInfo
      extends Object
      implements Comparable<OutputProfile.FontInfo>

  Represents information about a font used in the document.
  Since:
    2.11.9

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OutputProfile.FontInfo o)`
    `boolean` | `equals(Object other)`
    `String` | `getBaseName()` The name of the font.
    `String` | `getType()` Return the type of embedded font: one of the values "TrueType", "OpenType", "Type1", "Compact", "MultipleMaster" or "Type3".
    `BitSet` | `getUsedCharacters()` Return a BitSet containing all the Unicode codepoints that are used by this font in the PDF.
    `int` | `hashCode()`
    `boolean` | `isCIDFont()` Whether this font is a CID font.
    `boolean` | `isEmbedded()` Whether or not this font is embedded in the document.
    `boolean` | `isSubset()` Whether or not this embedded font is Subset
    `boolean` | `isVisible()` Return true if the font is actually used in the PDF to create visible text.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBaseName

          public String getBaseName()

      The name of the font. Note for embedded subset fonts, the font name is usually prefixed by 6 random uppercase letters and a plus sign.
      See Also:
        `PDFFont.getBaseName()`

    - #### isEmbedded

          public boolean isEmbedded()

      Whether or not this font is embedded in the document.
      See Also:
        `OpenTypeFont.setEmbed(boolean)`

    - #### isSubset

          public boolean isSubset()

      Whether or not this embedded font is Subset

    - #### isVisible

          public boolean isVisible()

      Return true if the font is actually used in the PDF to create visible text. If false, the font may be created but never used to display glyphs, or it may only be used to display invisible test.
      Since:
        2.18

    - #### isCIDFont

          public boolean isCIDFont()

      Whether this font is a CID font.

    - #### getType

          public String getType()

      Return the type of embedded font: one of the values "TrueType", "OpenType", "Type1", "Compact", "MultipleMaster" or "Type3". Unembedded fonts return "Unembedded". Fonts that are created but never used in the PDF to display any glyphs have a type "Unused"

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(OutputProfile.FontInfo o)

      Specified by:
        `compareTo` in interface `Comparable<OutputProfile.FontInfo>`

    - #### getUsedCharacters

          public BitSet getUsedCharacters()

      Return a BitSet containing all the Unicode codepoints that are used by this font in the PDF. If a font displays glyphs that cannot be resolved to a Unicode character, this set will return null, but that doesn't necessarily mean it's not been applied to the PDF
      Since:
        2.18
      See Also:
        `isVisible()`

Copyright © 2001-2015 Big Faceless Organization